## gtksink gtksink |

## Types and Values

struct | GstGtkSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstVideoSink
                            ╰── GstGtkBaseSink
                                ╰── GstGtkSink

## Implemented Interfaces

GstGtkSink implements GstNavigation.

## Description

## Synopsis

### Element Information

plugin | gtk
author | Matthew Waters <matthew@centricular.com>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, BGRA }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstGtkSink

    struct GstGtkSink;

Opaque GstGtkSink object